package com.hzya.frame.sys.databaseFields.entity;

import java.util.Date;
import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDLong;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
/**
 * @description: 数据库字段表
 * @tableName:   sys_database_fields
 * @entityName:  DatabaseFields
 * @author: 	 llg
 * @history:	 1.0
 */
public class  DatabaseFields extends BaseEntity {


	/** Service服务名 */
	private String serviceName;
	/** 表名（英文名称） */
	private String tableName;
	/** 字段名称 */
	private String fieldsName;
	/** 字段备注 */
	private String fieldsRemark;
	/** 类型 */
	private String fieldsType;
	/** 长度 */
	private String fieldsLength;
	/** 排序 */
	private Long sorts;
	/** 创建人id */
	private String createUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/** 修改人id */
	private String modifyUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;
	/** 状态(Y正常N删除) */
	private String sts;
	/** 组织机构ID */
	private String orgId;
	private String sort;
	private String order;
	/** 是否必填 */
	private String fieldsRequired;
	/** 是否唯一性 */
	private String fieldsSole;
	/** 属性 */
	private String fieldsOption;
    private String id;
    //数据类型 1、修改 2、新增
	private String dataType;
    /** Service服务名 */
	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}
	/** Service服务名 */
	public String getServiceName() {
		return serviceName;
	}
	/** 表名（英文名称） */
	public void setTableName(String tableName) {
		this.tableName = tableName;
	}
	/** 表名（英文名称） */
	public String getTableName() {
		return tableName;
	}
	/** 字段名称 */
	public void setFieldsName(String fieldsName) {
		this.fieldsName = fieldsName;
	}
	/** 字段名称 */
	public String getFieldsName() {
		return fieldsName;
	}
	/** 字段备注 */
	public void setFieldsRemark(String fieldsRemark) {
		this.fieldsRemark = fieldsRemark;
	}
	/** 字段备注 */
	public String getFieldsRemark() {
		return fieldsRemark;
	}
	/** 类型 */
	public void setFieldsType(String fieldsType) {
		this.fieldsType = fieldsType;
	}
	/** 类型 */
	public String getFieldsType() {
		return fieldsType;
	}
	/** 长度 */
	public void setFieldsLength(String fieldsLength) {
		this.fieldsLength = fieldsLength;
	}
	/** 长度 */
	public String getFieldsLength() {
		return fieldsLength;
	}
	/** 排序 */
	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}
	/** 排序 */
	public Long getSorts() {
		return sorts;
	}
	/** 创建人id */
	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}
	/** 创建人id */
	public String getCreateUserId() {
		return createUserId;
	}
	/** 创建时间 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/** 创建时间 */
	public Date getCreateTime() {
		return createTime;
	}
	/** 修改人id */
	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}
	/** 修改人id */
	public String getModifyUserId() {
		return modifyUserId;
	}
	/** 修改时间 */
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	/** 修改时间 */
	public Date getModifyTime() {
		return modifyTime;
	}
	/** 组织机构ID */
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	/** 组织机构ID */
	public String getOrgId() {
		return orgId;
	}





	public String getFieldsOption() {
		return fieldsOption;
	}

	public void setFieldsOption(String fieldsOption) {
		this.fieldsOption = fieldsOption;
	}

	public String getFieldsRequired() {
		return fieldsRequired;
	}

	public void setFieldsRequired(String fieldsRequired) {
		this.fieldsRequired = fieldsRequired;
	}

	public String getFieldsSole() {
		return fieldsSole;
	}

	public void setFieldsSole(String fieldsSole) {
		this.fieldsSole = fieldsSole;
	}

    @Override
    public String getSts() {
        return sts;
    }

    @Override
    public void setSts(String sts) {
        this.sts = sts;
    }

    @Override
    public String getSort() {
        return sort;
    }

    @Override
    public void setSort(String sort) {
        this.sort = sort;
    }

    @Override
    public String getOrder() {
        return order;
    }

    @Override
    public void setOrder(String order) {
        this.order = order;
    }

    @Override
    public String getId() {
        return id;
    }

    @Override
    public void setId(String id) {
        this.id = id;
    }

	public String getDataType() {
		return dataType;
	}

	public void setDataType(String dataType) {
		this.dataType = dataType;
	}
}
